petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMatlabEngineGet

Gets a variable from MATLAB into a PETSc object.

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineGet(PetscMatlabEngine mengine,PetscObject obj)

Collective on PetscObject

### Input Parameters

| mengine | - the MATLAB engine
| object | - the PETSc object, for example Vec

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineCreate(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), MatlabEngineGetArray(), PetscMatlabEngine

### Level

advanced

### Location

src/sys/classes/matlabengine/matlab.c

### Examples

src/snes/examples/tutorials/ex5.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages